### Method

# Cogl Shader get_shader_type

deprecated: 1.16

#### Declaration [src]

    CoglShaderType
    cogl_shader_get_shader_type (
      CoglShader* self
    )

#### Description [src]

Retrieves the type of a shader.

Deprecated since: 1.16

Use `CoglSnippet` api.

#### Return value

Type: `CoglShaderType`

`COGL_SHADER_TYPE_VERTEX` if the shader is a vertex processor or `COGL_SHADER_TYPE_FRAGMENT` if the shader is a fragment processor.